Index: controlies/trunk/applications/controlies/views/laptops/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops/index.html	(revision 363)
+++ controlies/trunk/applications/controlies/views/laptops/index.html	(revision 364)
@@ -41,7 +41,8 @@
                 
     function print_grid(){  
           jQuery("#list").jqGrid({
-                url:"/controlies/laptops/call/json/list",
+                //url:"/controlies/laptops/call/json/list",
+                url:"{{=URL(c='laptops',f='call',args=['json','list'])}}",
                 data: "{}",
                 datatype: 'json',
                 mtype: 'GET',
@@ -250,7 +251,7 @@
     }
 
     function getAllLaptopTypes(){
-            $.post("/controlies/laptops/call/json/getAllLaptopTypes",   function(result) {
+            $.post("call/json/getAllLaptopTypes",   function(result) {
                 $.each( result.response, function(i, l){
                     jQuery("#form_data #id_trademark").append("<option value='"+l.id_trademark+"'>"+l.trademark+"</option>");
                 });                    
Index: controlies/trunk/applications/controlies/views/laptops/history.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops/history.html	(revision 363)
+++ controlies/trunk/applications/controlies/views/laptops/history.html	(revision 364)
@@ -8,7 +8,7 @@
 
     function print_grid_historical(){  
           jQuery("#table_history #list_history").jqGrid({
-                url:"/controlies/laptops/call/json/listHistory",
+                url:"{{=URL(c='laptops',f='call',args=['json','listHistory'])}}",
                 data: "{}",
                 datatype: 'json',
                 mtype: 'GET',
@@ -179,7 +179,7 @@
     }
 
     function getAllStates(){
-            $.post("/controlies/laptops/call/json/getAllStates",   function(result) {
+            $.post("call/json/getAllStates",   function(result) {
                 $.each( result.response, function(i, l){
                     jQuery("#form_data_history #id_state").append("<option value='"+l.id_state+"'>"+l.state+"</option>");
                 });                    
@@ -187,7 +187,7 @@
     }
     
     function getAllUserTypes(){
-            $.post("/controlies/laptops/call/json/getAllUserTypes",   function(result) {
+            $.post("call/json/getAllUserTypes",   function(result) {
                 $.each( result.response, function(i, l){
                     jQuery("#form_data_history #id_user_type").append("<option value='"+l.id_user_type+"'>"+l.user_type+"</option>");
                 });                    
Index: controlies/trunk/applications/controlies/views/laptops_trademarks/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops_trademarks/index.html	(revision 363)
+++ controlies/trunk/applications/controlies/views/laptops_trademarks/index.html	(revision 364)
@@ -41,7 +41,8 @@
                 
     function print_grid(){  
           jQuery("#list").jqGrid({
-                url:"/controlies/laptops_trademarks/call/json/list",
+                //url:"/controlies/laptops_trademarks/call/json/list",
+                url:"{{=URL(c='laptops_trademarks',f='call',args=['json','list'])}}",
                 data: "{}",
                 datatype: 'json',
                 mtype: 'GET',
Index: controlies/trunk/applications/controlies/controllers/laptops.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/laptops.py	(revision 363)
+++ controlies/trunk/applications/controlies/controllers/laptops.py	(revision 364)
@@ -14,7 +14,7 @@
 
 @service.json
 @auth.requires_login()
-def list():    
+def list():
     my = SQLiteConnection()
     l = Laptops(my,"","","")
     response = l.list(request.vars)
Index: controlies/trunk/applications/controlies/controllers/usuarios.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/usuarios.py	(revision 363)
+++ controlies/trunk/applications/controlies/controllers/usuarios.py	(revision 364)
@@ -11,8 +11,6 @@
 def list():
     l=conecta()
     u = Users(l,"","","","","","","","","")
-    import pdb
-    pdb.set_trace()
     response = u.list(request.vars)
     l.close()
     return response    
Index: controlies/trunk/applications/controlies/modules/SQLiteConnection.py
===================================================================
--- controlies/trunk/applications/controlies/modules/SQLiteConnection.py	(revision 363)
+++ controlies/trunk/applications/controlies/modules/SQLiteConnection.py	(revision 364)
@@ -51,10 +51,14 @@
 
         try:
             self.db.users_types.insert(id_user_type='1',user_type='Profesor')
+        except:
+            pass
+
+        try:
             self.db.users_types.insert(id_user_type='2',user_type='Alumno')
         except:
             pass
-        
+
         self.db.define_table('laptops_historical', 
                         Field('id_historical','integer'),
                         Field('id_laptop','integer'),                        
@@ -73,10 +77,18 @@
                         primarykey=['id_state'])
         try:
             self.db.states.insert(id_state='1',state='Sin asignar')
+        except:
+            pass
+
+        try:
             self.db.states.insert(id_state='2',state='Asignado')
+        except:
+            pass
+
+        try:
             self.db.states.insert(id_state='3',state='En reparación')
         except:
             pass
-        
+
     def getDB(self):
         return self.db
\ No newline at end of file