Index: controlies/trunk/applications/controlies/models/menu.py
===================================================================
--- controlies/trunk/applications/controlies/models/menu.py	(revision 368)
+++ controlies/trunk/applications/controlies/models/menu.py	(revision 369)
@@ -12,7 +12,7 @@
 response.meta.description = 'Aplicación para la gestión de usuarios y máquinas en los centros educativos de Extremadura'
 response.meta.keywords = 'ldap, rayuela, linex,extremadura, institutos,usuarios,máquinas, workstations,ltsp'
 response.meta.generator = 'Web2py Enterprise Framework'
-response.meta.copyright = 'Copyright 2010-2011'
+response.meta.copyright = 'Copyright 2010-2012'
 
 
 ##########################################
@@ -27,7 +27,7 @@
 
 
 response.menu+=[
-    ('Administración', False,None,[
+    ('LDAP', False,None,[
             ('Usuarios', False, URL( 'usuarios', 'index' )),
             ('Grupos', False,URL( 'grupos', 'index' )),
             ('Servidores LTSP',False, URL( 'hosts', 'ltspservers' )),
@@ -47,7 +47,7 @@
             ]
    )]
 
-response.menu+=[('BD Portátiles', False, None,[            
+response.menu+=[('Base de Datos', False, None,[            
             ('Portátiles', False,URL( 'laptops', 'index')),
             ('Grupos', False,URL( 'laptops_groups', 'index')),
             ('Marcas', False,URL( 'laptops_trademarks', 'index')),   
@@ -54,6 +54,8 @@
             ]
    )]
 
+response.menu+=[('Acerca de', False, 'javascript:showInfo()')]
+
         
     #('Mantenimiento de LDAP', False, None,
     #    [
Index: controlies/trunk/applications/controlies/views/usuarios/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/usuarios/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/usuarios/index.html	(revision 369)
@@ -8,14 +8,8 @@
  
 {{extend 'layout.html'}}
 
-        <div id="tabla_clientes" class="centerGrid">
-            <table width="100%" align="center">
-            <tr>
-                <td style="width:2%"></td>
-                <td style="text-align:center;"><table id="list" width="100%"></table></td>
-                <td style="width:2%"></td>
-            </tr>
-            </table>
+        <div id="tabla_clientes">
+		  <table id="list" width="100%"></table>
             <div id="pager" style=""></div> 
             <div id="filter" style="margin-left:30%;display:none">Buscar nada</div>
         </div>
Index: controlies/trunk/applications/controlies/views/grupos/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/grupos/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/grupos/index.html	(revision 369)
@@ -14,15 +14,9 @@
 {{extend 'layout.html'}}
 
         <div id="tabla_clientes" class="centerGrid">
-        <table width="100%">
-        <tr>
-            <td style="width:2%"></td>
-            <td><table id="list" width="100%"></table></td>
-            <td style="width:2%"></td>
-        </tr>
-        </table>
-        <div id="pager" style=""></div> 
-        <div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
+		   <table id="list" width="100%"></table>
+		   <div id="pager" style=""></div> 
+		   <div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
         </div>
 
         <div id="dialog-form"></div>
Index: controlies/trunk/applications/controlies/views/layout.html
===================================================================
--- controlies/trunk/applications/controlies/views/layout.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/layout.html	(revision 369)
@@ -112,12 +112,8 @@
                   <!-- content -->
                   <div id="content" {{=XML(style_content)}} >
                   
-                  
                       {{include}}           
                   
-                  
-                  
-
                   </div>
                   <!-- content -->
         
@@ -133,11 +129,40 @@
               <div style="clear: both;"></div><!-- Clear the divs -->
               
             </div><!-- page -->                         
-    
-         
+
+	<div style="text-align:center">
+	<p class="ui-state-default ui-corner-all" style="padding:2px; margin-top:1em; text-align:center; ">
+	<span style="float:center; margin:-2px 5px 0 0;"></span>
+		<span id="licenseText">Copyright (C) 2012 - ControlIES es una aplicación bajo licencia GPL versión 2 ó posteriores.</span> <a href="javascript:showInfo();">[<span id="licenseInfo">+ info</span>]</a>
+	</p>    
+     </div>
       </div><!-- wrapper -->
     </div><!-- container -->        
-    
- 
+
+	<script language="javascript">
+	function showInfo(){
+		 jQuery( "#dialog-info" ).dialog({
+			resizable: false,
+			height:400,
+			width:700,
+			modal: true,
+			buttons: { "Cerrar": function() { $( this ).dialog( "close" ); }}
+		 }).dialog('open');
+	}
+	</script>
+   <div id="dialog-info" title="Acerca de ControlIES" style="display:none;"><br>
+       <b>Autores:</b>
+       <p> - Francisco Damián Méndez Palma - fmendezpalma@gmail.com</p>
+       <p> - Manuel Mora Gordillo - manuel.mora.gordillo@gmail.com</p>
+       <p> - José Luis Redrejo Rodríguez - jredrejo@debian.org</p><br>
+       <b>Licencia:</b><br>
+       <b>ControlIES</b> is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or (at your option) any later version.<br>
+ <b>ControlIES</b> is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.<br>
+ You should have received a copy of the GNU General Public License along with <b>ControlIES</b>. If not, see <a href="http://www.gnu.org/licenses/" target="_blank">http://www.gnu.org/licenses/</a>.<br>
+       <p style="text-align:center;"><a href="http://desarrollo.educarex.es/linex/projects/servidoressecundaria/repository/show/controlies" target="_blank">Código Fuente</a></p>
+   </div>
+
   </body>
 </html>
Index: controlies/trunk/applications/controlies/views/laptops_groups/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops_groups/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/laptops_groups/index.html	(revision 369)
@@ -14,13 +14,7 @@
 {{extend 'layout.html'}}
 
         <div id="tabla_clientes" class="centerGrid">
-        <table width="100%">
-        <tr>
-            <td style="width:2%"></td>
-            <td><table id="list" width="100%"></table></td>
-            <td style="width:2%"></td>
-        </tr>
-        </table>
+        <table id="list" width="100%"></table>
         <div id="pager" style=""></div> 
         <div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
         </div>
Index: controlies/trunk/applications/controlies/views/laptops/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/laptops/index.html	(revision 369)
@@ -9,13 +9,7 @@
 {{extend 'layout.html'}}
 
         <div id="tabla_clientes" class="centerGrid">
-            <table width="100%" align="center">
-            <tr>
-                <td style="width:2%"></td>
-                <td style="text-align:center;"><table id="list" width="100%"></table></td>
-                <td style="width:2%"></td>
-            </tr>
-            </table>
+            <table id="list" width="100%"></table>
             <div id="pager" style=""></div> 
             <div id="filter" style="margin-left:30%;display:none">Buscar nada</div>
         </div>
Index: controlies/trunk/applications/controlies/views/thinclients/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/thinclients/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/thinclients/index.html	(revision 369)
@@ -10,13 +10,7 @@
 {{extend 'layout.html'}}
 
         <div id="tabla_clientes" class="centerGrid">
-            <table width="100%" align="center">
-            <tr>
-                <td style="width:2%"></td>
-                <td style="text-align:center;"><table id="list" width="100%"></table></td>
-                <td style="width:2%"></td>
-            </tr>
-            </table>
+            <table id="list" width="100%"></table>
             <div id="pager" style=""></div> 
             <div id="filter" style="margin-left:30%;display:none">Buscar nada</div>
         </div>
Index: controlies/trunk/applications/controlies/views/laptops_trademarks/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops_trademarks/index.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/laptops_trademarks/index.html	(revision 369)
@@ -9,13 +9,7 @@
 {{extend 'layout.html'}}
 
         <div id="tabla_clientes" class="centerGrid">
-            <table width="100%" align="center">
-            <tr>
-                <td style="width:2%"></td>
-                <td style="text-align:center;"><table id="list" width="100%"></table></td>
-                <td style="width:2%"></td>
-            </tr>
-            </table>
+            <table id="list" width="100%"></table>
             <div id="pager" style=""></div> 
             <div id="filter" style="margin-left:30%;display:none">Buscar nada</div>
         </div>
Index: controlies/trunk/applications/controlies/views/layout_hosts.html
===================================================================
--- controlies/trunk/applications/controlies/views/layout_hosts.html	(revision 368)
+++ controlies/trunk/applications/controlies/views/layout_hosts.html	(revision 369)
@@ -1,14 +1,8 @@
 {{extend 'layout.html'}}
         <div id="tabla_clientes" class="centerGrid">
-        <table width="100%">
-        <tr>
-            <td style="width:2%"></td>
-            <td><table id="list" width="100%"></table></td>
-            <td style="width:2%"></td>
-        </tr>
-        </table>
-        <div id="pager" style=""></div> 
-        <div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
+		   <table id="list" width="100%"></table></td>
+		   <div id="pager" style=""></div> 
+		   <div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
         </div>
 
         <div id="dialog-form"></div>