Index: controlies/trunk/applications/controlies/models/menu.py
===================================================================
--- controlies/trunk/applications/controlies/models/menu.py	(revision 385)
+++ controlies/trunk/applications/controlies/models/menu.py	(revision 386)
@@ -43,16 +43,16 @@
 response.menu+=[('Gestión', False, None,[            
             ('Servidores de Aula', False,URL( 'gestion', 'servidores_aula')),   
             ('Importación de Rayuela', False, URL( 'gestion', 'rayuela')),
-            ('Importación datos de Portátiles', False, URL( 'gestion', 'base_datos')),
+#            ('Importación datos de Portátiles', False, URL( 'gestion', 'base_datos')),
             ]
    )]
 
-response.menu+=[('Base de Datos', False, None,[            
-            ('Portátiles', False,URL( 'laptops', 'index')),
-            ('Grupos', False,URL( 'laptops_groups', 'index')),
-            ('Marcas', False,URL( 'laptops_trademarks', 'index')),   
-            ]
-   )]
+#response.menu+=[('Base de Datos', False, None,[            
+#            ('Portátiles', False,URL( 'laptops', 'index')),
+#            ('Grupos', False,URL( 'laptops_groups', 'index')),
+#            ('Marcas', False,URL( 'laptops_trademarks', 'index')),   
+#            ]
+#   )]
 
 response.menu+=[('Acerca de', False, 'javascript:showInfo()')]
 
Index: controlies/trunk/applications/controlies/controllers/laptops_trademarks.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/laptops_trademarks.py	(revision 385)
+++ controlies/trunk/applications/controlies/controllers/laptops_trademarks.py	(revision 386)
@@ -4,9 +4,7 @@
 from applications.controlies.modules.Utils import Utils
 from applications.controlies.modules.Users import Users
 
-def index():
-    my = SQLiteConnection()
-    my.define_tables()    
+def index():  
     return dict()
 
 ################## LAPTOPS ####################
@@ -14,15 +12,13 @@
 @service.json
 @auth.requires_login()
 def list():    
-    my = SQLiteConnection()
-    l = LaptopsTrademarks(my,"","","")
+    l = LaptopsTrademarks(cdb,"","","")
     response = l.list(request.vars)
     return response
 
 @service.json
 def getTrademarkData():
-    my = SQLiteConnection()
-    l = LaptopsTrademarks(my,request.vars['id_trademark'],"","")
+    l = LaptopsTrademarks(cdb,request.vars['id_trademark'],"","")
     response = l.getTrademarkData()
     return dict(response=response)
 
@@ -29,8 +25,7 @@
 @service.json
 @auth.requires_login()    
 def modify():
-    my = SQLiteConnection()
-    l = LaptopsTrademarks(my,request.vars["id_trademark"],request.vars["trademark"],request.vars["model"])
+    l = LaptopsTrademarks(cdb,request.vars["id_trademark"],request.vars["trademark"],request.vars["model"])
     response = l.process(request.vars["action"])
     return dict(response = response)            
 
@@ -37,8 +32,7 @@
 @service.json
 @auth.requires_login()       
 def delete():
-    my = SQLiteConnection()
-    l = LaptopsTrademarks(my,request.vars["id_trademark"],"","")
+    l = LaptopsTrademarks(cdb,request.vars["id_trademark"],"","")
     response = l.delete()                         
     return dict(response=response)
 
Index: controlies/trunk/applications/controlies/modules/LaptopsTrademarks.py
===================================================================
--- controlies/trunk/applications/controlies/modules/LaptopsTrademarks.py	(revision 385)
+++ controlies/trunk/applications/controlies/modules/LaptopsTrademarks.py	(revision 386)
@@ -29,8 +29,8 @@
     def __init__(self):
         pass
     
-    def __init__(self,SQLite,id_trademark,trademark,model):
-        self.SQLite = SQLite
+    def __init__(self,DB,id_trademark,trademark,model):
+        self.DB = DB
         self.id_trademark = id_trademark        
         self.trademark = trademark
         self.model = model        
@@ -75,7 +75,6 @@
         
             
     def list(self,args):
-        db = self.SQLite.getDB()
 
         sql = "SELECT * FROM laptops_trademarks WHERE 1=1 "
         
@@ -92,7 +91,7 @@
             pass
 
         sql = sql + " ORDER BY "+args['sidx']+" "+args['sord']+""
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
 
         rows = []
         for reg in result:
@@ -130,8 +129,7 @@
         sql = "INSERT INTO laptops_trademarks (id_trademark, trademark, model) "
         sql = sql + "VALUES(null,'"+self.trademark+"','"+self.model+"')"
 
-        db = self.SQLite.getDB()
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
         
         return "OK"
             
@@ -140,8 +138,7 @@
         sql = "UPDATE laptops_trademarks SET trademark='"+self.trademark+"', model='"+self.model+"' "
         sql = sql + "WHERE id_trademark='"+str(self.id_trademark)+"'"
 
-        db = self.SQLite.getDB()
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
                     
         return "OK"
 
@@ -149,8 +146,7 @@
     def delete(self):
         sql = "DELETE FROM laptops_trademarks WHERE id_trademark='"+str(self.id_trademark)+"'"
 
-        db = self.SQLite.getDB()
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
             
         return "OK"
 
@@ -159,8 +155,7 @@
         
         sql = "SELECT id_trademark FROM laptops_trademarks WHERE trademark='"+trademark+"' AND model='"+model+"'"
 
-        db = self.SQLite.getDB()
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
 
         if len(result) > 0:
             return str(result[0][0])
@@ -171,8 +166,7 @@
 		
         sql="SELECT * FROM laptops_trademarks WHERE id_trademark='"+str(self.id_trademark)+"'"
 
-        db = self.SQLite.getDB()
-        result = db.executesql(sql)
+        result = self.DB.executesql(sql)
 
         data = {
             "id_trademark":str(result[0][0]),