Index: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/LEEME
===================================================================
--- tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/LEEME	(nonexistent)
+++ tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/LEEME	(revision 417)
@@ -0,0 +1,24 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Portatiles con la imagen nueva
+
+Acción  : Personaliza iceweasel
+
+Notas   : Personalizar la configuración de iceweasel, sobre todo por el tema de
+	la página de inicio. Se puede adaptar a vuestras necesidades tocando el
+	fichero iceweasel.cfg (yo he puesto las mías).
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules
+Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/especifica-miniportatil-2011.pp
+
+------------------------------------------------
+
+Creado por:
+
+Francisco Paniagua Sánchez
+Administrador Informático del IES Francisco de Orellana (Trujillo).
+24-Octubre-2012

Property changes on: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/LEEME
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/manifests/init.pp
===================================================================
--- tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/manifests/init.pp	(nonexistent)
+++ tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/manifests/init.pp	(revision 417)
@@ -0,0 +1,13 @@
+class portatiles2012_iceweasel {
+
+        file {"/etc/iceweasel/pref/iceweasel.js":
+                owner => root, group => root, mode => 644,
+                source => "puppet:///portatiles2012_iceweasel/iceweasel.js"
+        }
+        
+	file {"/usr/lib/iceweasel/iceweasel.cfg":
+                owner => root, group => root, mode => 644,
+                source => "puppet:///portatiles2012_iceweasel/iceweasel.cfg"
+        }
+
+}
Index: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.js
===================================================================
--- tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.js	(nonexistent)
+++ tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.js	(revision 417)
@@ -0,0 +1,24 @@
+// This is the Debian specific preferences file for Iceweasel
+// You can make any change in here, it is the purpose of this file.
+// You can, with this file and all files present in the
+// /etc/iceweasel/pref directory, override any preference that is
+// present in /usr/lib/iceweasel/defaults/preferences directory.
+// While your changes will be kept on upgrade if you modify files in
+// /etc/iceweasel/pref, please note that they won't be kept if you
+// do make your changes in /usr/lib/iceweasel/defaults/preferences.
+//
+// Note that lockPref is allowed in these preferences files if you
+// don't want users to be able to override some preferences.
+
+pref("extensions.update.enabled", true);
+
+// Use LANG environment variable to choose locale
+pref("intl.locale.matchOS", true);
+
+// Disable default browser checking.
+pref("browser.shell.checkDefaultBrowser", false);
+
+//pref("browser.startup.homepage","http://www.google.es");
+
+pref("general.config.obscure_value", 0);
+pref("general.config.filename", "iceweasel.cfg");
Index: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.cfg
===================================================================
--- tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.cfg	(nonexistent)
+++ tareas_puppet/portatiles/comunes/portatiles2012_iceweasel/files/iceweasel.cfg	(revision 417)
@@ -0,0 +1,18 @@
+//Pagina de inicio
+pref("browser.startup.homepage","http://www.google.es");
+
+//Transferencia
+lockPref("network.http.pipelining",true);
+lockPref("network.http.proxy.pipelining",true);
+lockPref("network.http.pipelining.maxrequest",8);
+
+//Proxy
+lockPref("network.proxy.type",0);
+
+//ipv6
+lockPref("network.dns.disableIPv6",true);
+
+//cache
+lockPref("browser.cache.disk.smart_size.enabled",false);
+lockPref("browser.cache.disk.capacity",50000);
+
Index: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/portatiles/comunes/portatiles2012_iceweasel.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property